## Using GTK+ on Windows Using GTK+ on Windows — Windows-specific aspects of using GTK+ |

## Using GTK+ on Windows

The Windows port of GTK+ is an implementation of GDK (and therefore GTK+) on top of the Win32 API.

### Windows-specific commandline options

The Windows GDK backend can be influenced with some additional command line arguments.

`--sync`. Don't batch GDI requests. This is a useful option for debugging, but it will slow down the performance considerably.

`--no-wintab`, `--ignore-wintab`. Don't use the Wintab API for tablet support. This is the default.

`--use-wintab`. Use the Wintab API for tablet support, if GTK+ has been compiled with the `--with-wintab` option.

`--max-colors `number``. In 256 color mode, restrict the size of the color palette to the specified number of colors.

### Windows-specific environment variables

The Win32 GDK backend can be influenced with some additional environment variables.

`GDK_IGNORE_WINTAB`. If this variable is set, GTK+ doesn't use the Wintab API for tablet support. This is the default.

`GDK_USE_WINTAB`. If this variable is set, GTK+ uses the Wintab API for tablet support, if GTK+ has been compiled with the `--with-wintab` option.

`GDK_WIN32_MAX_COLORS`. Specifies the size of the color palette used in 256 color mode.

`G_WIN32_PRETEND_WIN9X`. Only use the Windows 9x API.